View Issue Details

IDProjectCategoryView StatusLast Update
14124Bug reports[All Projects] Survey participants (Tokens)public2018-11-15 15:13
ReporterMazi Assigned Todominikvitt  
PriorityhighSeveritymajor 
Status closedResolutionfixed 
Product Version3.14.x 
Target VersionFixed in Version3.15.x 
Summary14124: Changing invitation/reminder dates for a certain tokens changes the date format at the database
Description

When manually editing token details and setting a date, the date format of YYYY-MM-DD changes to DD.MM.YYYY which can cause seriosu side-effects for reminder sending for example.

Steps To Reproduce
  1. Set your user to use date format DD.MM.YYYY and make sure to use a survey which also uses a non-standard date format like DD.MM.YYYY.
  2. Add a token to that survey and send an invitation email.
  3. Check the "sent" date at the DB. Limesurvey sets it using a valid date type of YYYY-MM-DD
  4. Edit the token and set the sent date e.g. to the date before.
  5. Check the "sent" data at the DB -> date changed to DD.MM.YYYY syntax!
Additional Information

Check attached screenshots.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.14.9+180917
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL 5
Server OS (if known)Ubuntu 14 TLS
Webserver software & version (if known)Apache 2
PHP Version7.0.26

Relationships

related to 14147 closedc_schmitz Date of sending invitations wrong 

Activities

Mazi

Mazi

2018-10-02 15:36

partner  

sent_start.PNG (9,591 bytes)
sent_start.PNG (9,591 bytes)
sent_edited.PNG (10,569 bytes)
sent_edited.PNG (10,569 bytes)
reminder_edited.PNG (9,988 bytes)
reminder_edited.PNG (9,988 bytes)
guest

guest

2018-10-02 16:14

viewer   ~49219

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28207

Mazi

Mazi

2018-10-17 11:14

partner   ~49346

This is is not solved, tested with latest version 3.15.0+181008.
If there is a token with a valid sent date and a valid reminder sent date and I edit one of the dates at the token admin backend, the other date doesn't get stored properly, see uploaded screenshots. If sent gets changed, remnder sent gets messed up. If reminder sent is edited, the sent date gets messed up.

Mazi

Mazi

2018-10-17 11:16

partner  

sent_date_edited.png (10,815 bytes)
sent_date_edited.png (10,815 bytes)
guest

guest

2018-10-17 18:31

viewer   ~49355

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28371

Related Changesets

LimeSurvey: master 5bf3825f

2018-10-02 16:13:52

Dominik Vitt

Details Diff
Fixed issue 14124: Changing invitation/reminder dates for a certain tokens changes the date format at the database Affected Issues
14124
mod - application/controllers/admin/tokens.php Diff File

LimeSurvey: master bc59ab00

2018-10-17 18:29:19

Dominik Vitt

Details Diff
Fixed issue 14124: Changing invitation/reminder dates for a certain tokens changes the date format at the database Affected Issues
14124
mod - application/views/admin/token/tokenform.php Diff File

Issue History

Date Modified Username Field Change
2018-10-02 15:36 Mazi New Issue
2018-10-02 15:36 Mazi File Added: sent_start.PNG
2018-10-02 15:36 Mazi File Added: sent_edited.PNG
2018-10-02 15:36 Mazi File Added: reminder_edited.PNG
2018-10-02 15:38 c_schmitz Assigned To => dominikvitt
2018-10-02 15:38 c_schmitz Status new => assigned
2018-10-02 15:38 c_schmitz Priority none => high
2018-10-02 15:38 c_schmitz Steps to Reproduce Updated View Revisions
2018-10-02 16:14 Changeset attached => LimeSurvey master 5bf3825f
2018-10-02 16:14 guest Note Added: 49219
2018-10-02 16:14 guest Resolution open => fixed
2018-10-02 16:15 dominikvitt Status assigned => resolved
2018-10-02 16:15 dominikvitt Fixed in Version => 3.14.x
2018-10-17 11:14 Mazi Status resolved => feedback
2018-10-17 11:14 Mazi Resolution fixed => reopened
2018-10-17 11:14 Mazi Note Added: 49346
2018-10-17 11:16 Mazi File Added: sent_date_edited.png
2018-10-17 11:16 Mazi File Added: reminder_sent_date_edited.png
2018-10-17 11:16 Mazi Status feedback => confirmed
2018-10-17 12:56 DenisChenu Relationship added related to 14147
2018-10-17 18:31 Changeset attached => LimeSurvey master bc59ab00
2018-10-17 18:31 guest Note Added: 49355
2018-10-23 11:36 dominikvitt Status confirmed => resolved
2018-10-23 11:36 dominikvitt Resolution reopened => fixed
2018-10-23 11:36 dominikvitt Fixed in Version 3.14.x => 3.15.x
2018-11-15 15:13 dominikvitt Status resolved => closed